Subject: Re: [PATCH] iwlwifi: fix build error for CONFIG_IWLAGN=n

From: "John W. Linville" <[email-masked]>
Date: Wed, 24 Mar 2010 18:37:19 -0400

On Wed, Mar 24, 2010 at 02:42:28PM -0700, reinette chatre wrote:
> On Wed, 2010-03-24 at 14:33 -0700, Johannes Berg wrote:
> > On Wed, 2010-03-24 at 17:23 -0400, John W. Linville wrote:
> > > drivers/net/wireless/iwlwifi/iwl-rx.c: In function 'iwl_good_ack_health':
> > > drivers/net/wireless/iwlwifi/iwl-rx.c:647: error: 'struct iwl_priv' has no member named '_agn'
> > > 
> > > Reported-by: Randy Dunlap <[email-masked]>
> > > Signed-off-by: John W. Linville <[email-masked]>
> > > ---
> > >  drivers/net/wireless/iwlwifi/iwl-rx.c |    2 ++
> > >  1 files changed, 2 insertions(+), 0 deletions(-)
> > > 
> > > diff --git a/drivers/net/wireless/iwlwifi/iwl-rx.c b/drivers/net/wireless/iwlwifi/iwl-rx.c
> > > index b6a64d8..2fa30df 100644
> > > --- a/drivers/net/wireless/iwlwifi/iwl-rx.c
> > > +++ b/drivers/net/wireless/iwlwifi/iwl-rx.c
> > > @@ -621,6 +621,7 @@ static void iwl_accumulative_statistics(struct iwl_priv *priv,
> > >  #define BA_TIMEOUT_CNT (5)
> > >  #define BA_TIMEOUT_MAX (16)
> > >  
> > > +#if defined(CONFIG_IWLAGN) || defined(CONFIG_IWLAGN_MODULE)
> > >  /**
> > >   * iwl_good_ack_health - checks for ACK count ratios, BA timeout
> > > retries.
> > 
> > I thought we had a patch moving it?
> > 
> 
> We do, but it has not been pushed upstream yet. 
> 
> John, I'd prefer
> http://viggo.jf.intel.com/~wifi/repos.git/?p=iwlwifi-2.6.git;a=commit;h=bc745eb7d28285f3b437c00253bf01ef501eb3f1 
> 
> Should we push it upstream asap or can it wait until our next series
> goes out after all our validation cycles pass?

I can't see that link.  How does the patch differ?

John
-- 
John W. Linville                Someday the world will need a hero, and you
[email-masked]                  might be all we have.  Be ready.
--
To unsubscribe from this list: send the line "unsubscribe linux-wireless" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html